Download it now!
Bug 112484 - ODF: Pivot table has invalid "repeat-item-labels" attribute, when saved in ODF 1.2 strict.
Summary: ODF: Pivot table has invalid "repeat-item-labels" attribute, when saved in OD...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords:
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2017-09-18 22:03 UTC by Regina Henschel
Modified: 2019-01-01 01:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example with pivot table on second sheet (13.19 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2017-09-18 22:03 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-09-18 22:03:42 UTC
Created attachment 136353 [details]
Example with pivot table on second sheet

Open attached file. Set your LibreOffice to save in ODF 1.2 strict. Save the file and open part content.xml in an editor. Look for "repeat-item-labels".

There exist no attribute "repeat-item-labels" in ODF 1.2 and all attributes have a namespace.
In mode "ODF 1.2 extended" it is written with namespace "calcext". That works for that mode, but not for strict ODF 1.2.
Comment 1 Buovjaga 2017-10-28 15:22:24 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: 7a2e7c32d38db02aaa5d78d5e8aaf86cabfde586
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 28th 2017
Comment 2 QA Administrators 2018-10-29 03:58:00 UTC Comment hidden (obsolete)
Comment 3 Regina Henschel 2018-11-05 23:35:50 UTC
The error still exists in Version: 6.2.0.0.alpha1+ (x64)
Build ID: e33424dd887cb1a11a3dba2513ef0f4bf93a6dbe
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-01_00:43:29
Locale: de-DE (en_US); Calc: CL
Comment 4 Julien Nabet 2018-12-30 11:51:29 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 Julien Nabet 2018-12-30 12:04:54 UTC
https://gerrit.libreoffice.org/#/c/65740/
Comment 6 Commit Notification 2018-12-30 17:11:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/40a7e9c93855ac6cceb4c4189587998e21581de5%5E%21

tdf#112484: repeat-item-labels is invalid in odf1.2 strict

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-12-31 20:45:27 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/924c704719bb99bd3036f693ccf11e35d68e5768%5E%21

tdf#112484: repeat-item-labels is invalid in odf1.2 strict

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-31 20:45:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/c64564c6b520f4dbadb689e958dafa1591b3711d%5E%21

tdf#112484: repeat-item-labels is invalid in odf1.2 strict

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.